org.apache.ignite.igfs

## Class IgfsOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.ignite.igfs.IgfsOutputStream

All Implemented Interfaces:
  Closeable, Flushable, AutoCloseable

    public abstract class IgfsOutputStream
    extends OutputStream

`IGFS` output stream to write data into the file system.

### Constructor Summary

Constructors
Constructor and Description
`IgfsOutputStream()`

### Method Summary

Methods
`abstract void` `transferFrom(DataInput in, int len)` Transfers specified amount of bytes from data input to this output stream.

### Methods inherited from class java.io.OutputStream

`close, flush, write, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgfsOutputStream

    public IgfsOutputStream()

### Method Detail

#### transferFrom

    public abstract void transferFrom(DataInput in,
                    int len)
                               throws IOException

Transfers specified amount of bytes from data input to this output stream. This method is optimized to avoid unnecessary temporal buffer creation and byte array copy.

Parameters:
  `in` - Data input to copy bytes from.
  `len` - Data length to copy.
Throws:
  `IOException` - If write failed, read from input failed or there is no enough data in data input.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015